Summary: TimeDate module for perl 
Name: perl-TimeDate
Version: 1.14
Release: 1.7.3
Copyright: distributable
Group: Applications/CPAN
Source0: TimeDate-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/perl-TimeDate-buildroot/
BuildArch : noarch
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503

%description
TimeDate module for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n TimeDate-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > TimeDate-1.14-filelist
if [ "$(cat TimeDate-1.14-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f TimeDate-1.14-filelist
%defattr(-,root,root)

%changelog
* Wed Apr 30 2003 Jhon H. Caicedo <jhcaiced@osso.org.co> 1.14-1.7.3
- rebuild for RedHat-7.3

* Wed Feb 12 2003 Jhon H. Caicedo <jhcaiced@osso.org.co>
- rebuild for RedHat-7.2
